Bug 488339 - (CVE-2009-0756) CVE-2009-0756 poppler/evince: DoS via crafted PDF file
CVE-2009-0756 poppler/evince: DoS via crafted PDF file
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://web.nvd.nist.gov/view/vuln/det...
impact=low,source=osssecurity,reporte...
: Security
Depends On:
Blocks: CVE-2009-0166
  Show dependency treegraph
 
Reported: 2009-03-03 14:07 EST by Vincent Danen
Modified: 2009-07-15 06:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 06:44:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2009-03-03 14:07:40 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-0756 to
the following vulnerability:

Name: CVE-2009-0756
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0756
Assigned: 20090303
Reference: MLIST:[oss-security] 20090213 CVE Request: Poppler -Two Denial of Service Vulnerabilities
Reference: URL: http://www.openwall.com/lists/oss-security/2009/02/13/1
Reference: MLIST:[oss-security] 20090219 Re: CVE Request: Poppler -Two Denial of Service Vulnerabilities
Reference: URL: http://www.openwall.com/lists/oss-security/2009/02/19/2
Reference: MLIST:[poppler] 20090123 poppler/JBIG2Stream.cc
Reference: URL: http://lists.freedesktop.org/archives/poppler/2009-January/004403.html
Reference: CONFIRM: http://bugs.freedesktop.org/show_bug.cgi?id=19702
Reference: SECUNIA:33853
Reference: URL: http://secunia.com/advisories/33853

The JBIG2Stream::readSymbolDictSeg function in Poppler before 0.10.4
allows remote attackers to cause a denial of service (crash) via a PDF
file that triggers a parsing error, which is not properly handled by
JBIG2SymbolDict::~JBIG2SymbolDict and triggers an invalid memory
dereference.
Comment 1 Tomas Hoger 2009-07-15 06:44:48 EDT
This is basically a duplicate of CVE-2009-0166.  Original upstream fix:

http://cgit.freedesktop.org/poppler/poppler/commit/?id=d3f04f537fb3e963c149a7e2d8d83c7cb19da8c0

was turned into even more strict one in the last set of security fixes for JBIG2 decoded used by poppler/xpdf:

http://cgit.freedesktop.org/poppler/poppler/commit/?h=poppler-0.10&id=763bfd27a50a9f8176fe112823839549e4498a39

Updates addressing this issue:
  https://rhn.redhat.com/errata/CVE-2009-0166.html
  https://admin.fedoraproject.org/updates/search/CVE-2009-0166

Note You need to log in before you can comment on or make changes to this bug.